Docs Fal.ai /fal-ai/flux-1/dev
API reference

/fal-ai/flux-1/dev

Official documentation: https://fal.ai/models/fal-ai/flux-1/dev

POST/fal-ai/flux-1/dev

Body Parametersapplication/json

acceleration string

Generation speed. The higher the speed, the faster the build speed. Default value: "regular" . Support: default, none, regular, high

enable_safety_checker boolean

If set to true, the security checker is enabled. Default value: true

guidance_scale number

The CFG (Classifier Free Guidance) scale measures how closely you want the model to follow the cues when finding relevant images. Default value: 3.5. Range value: 1-20

image_size string

The size of the generated image. Default: landscape_4_3 range (3:4, 4:3, 16:9, 9:16)

num_images integer

The number of images generated. Default value: 1 Range value: 1-4

num_inference_steps integer

The number of inference steps to perform. Default value: 28. Range value: 0-50

output_format string

The format of the generated image. Default value: "jpeg". Supported formats default, JPEG, png

prompt* string

Text prompt

Responses

200 application/json
response-200 object
properties
cancel_url* string

Task cancellation URL

logs* array nullable

Run logs

metrics* object

Run metrics

queue_position* integer

Queue position

request_id* string

Request trace ID

response_url* string

Result query URL

status* string

Status

status_url* string

Status query URL

400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example
1{
2"acceleration": "regular",
3"enable_safety_checker": true,
4"guidance_scale": 3.5,
5"image_size": "landscape_4_3",
6"num_images": 1,
7"num_inference_steps": 28,
8"output_format": "jpeg",
9"prompt": "Extreme close-up of a single tiger eye, direct frontal view. Detailed iris and pupil. Sharp focus on eye texture and color. Natural lighting to capture authentic eye shine and depth. The word \"FLUX\" is painted over it in big, white brush strokes with visible texture."
10}
Code Sample cURL
1curl -X POST "https://api.digislash.com/fal-ai/flux-1/dev" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"acceleration": "regular",
6"enable_safety_checker": true,
7"guidance_scale": 3.5,
8"image_size": "landscape_4_3",
9"num_images": 1,
10"num_inference_steps": 28,
11"output_format": "jpeg",
12"prompt": "Extreme close-up of a single tiger eye, direct frontal view. Detailed iris and pupil. Sharp focus on eye texture and color. Natural lighting to capture authentic eye shine and depth. The word \"FLUX\" is painted over it in big, white brush strokes with visible texture."
13}'
Response
1▼{
2"cancel_url": "https://queue.fal.run/fal-ai/flux-1/requests/3892f1e8-5fb1-469f-87b0-696d6054c9f2/cancel",
3"logs": [],
4"metrics": {},
5"queue_position": 0,
6"request_id": "3892f1e8-5fb1-469f-87b0-696d6054c9f2",
7"response_url": "https://queue.fal.run/fal-ai/flux-1/requests/3892f1e8-5fb1-469f-87b0-696d6054c9f2",
8"status": "IN_QUEUE",
9"status_url": "https://queue.fal.run/fal-ai/flux-1/requests/3892f1e8-5fb1-469f-87b0-696d6054c9f2/status"
10}